<form [formGroup]="form" (ngSubmit)="registra()">
        <app-menu></app-menu>
        <div class="container">
                <div class="row">
                        <mat-toolbar color="primary">
                                <span>Registra Editorial</span>
                        </mat-toolbar>
                </div>
                <div class="row" style="margin-top: 3%" id="formulario">
                        <mat-form-field class="col-md-12">
                                <mat-label>Razon Social</mat-label>
                                <input matInput formControlName="razonSocial" required pattern="[A-Za-z ]*" />
                                <mat-error *ngIf="form.get('razonSocial')?.hasError('required')">
                                        Este campo es obligatorio.
                                </mat-error>
                                <mat-error *ngIf="form.get('razonSocial')?.hasError('pattern')">
                                        Solo se permite letras y espacios en blanco.
                                </mat-error>
                        </mat-form-field>

                        <mat-form-field class="col-md-12">
                                <mat-label>Dirección</mat-label>
                                <input matInput formControlName="direccion" required />
                                <mat-error *ngIf="form.get('direccion')?.hasError('required')">
                                        La dirección es obligatorio.
                                </mat-error>
                        </mat-form-field>

                        <mat-form-field class="col-md-12">
                                <mat-label>Ruc</mat-label>
                                <input matInput formControlName="ruc" required pattern="[0-9]*" />
                                <mat-error *ngIf="form.get('ruc')?.hasError('required')">
                                        Este campo es obligatorio.
                                </mat-error>
                                <mat-error *ngIf="form.get('ruc')?.hasError('pattern')">
                                        Ingrese solo números y maximo 11 numeros.
                                </mat-error>                                
                        </mat-form-field>

                        <mat-form-field class="col-md-8">
                                <input matInput [matDatepicker]="picker" placeholder="Fecha de Creacion"
                                        formControlName="fechaCreacion" required />
                                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                <mat-datepicker #picker></mat-datepicker>
                                <mat-error *ngIf="form.get('fechaCreacion')?.hasError('required')">
                                        Este campo es obligatorio.
                                </mat-error>
                        </mat-form-field>

                        <mat-form-field class="col-md-8">
                                <mat-label>País</mat-label>
                                <mat-select formControlName="pais">
                                        <mat-option value="-1"> [Seleccione] </mat-option>
                                        <mat-option *ngFor="let x of lstPais" [value]="x.idPais">{{ x.nombre
                                                }}</mat-option>
                                </mat-select>
                                <mat-error *ngIf="form.get('pais')?.hasError('required')">
                                        Este campo es obligatorio.
                                </mat-error>
                        </mat-form-field>


                </div>
                <div class="row">
                        <button mat-raised-button type="submit" color="primary" [disabled]="!form.valid">Registra</button>
                </div>
        </div>
</form>